# -*- coding: utf-8 -*-
# Copyright 2017 Nate Bogdanowicz
"""A listing of most Python stdlib modules, transcribed from the Python documentation"""

# Taken from Python 2.7 and 3.6 docs
both = [
    'string',
    're',
    'difflib',
    'textwrap',
    'unicodedata',
    'stringprep',
    'readline',
    'rlcompleter',

    'struct',
    'codecs',

    'datetime',
    'calendar',
    'collections',
    'heapq',
    'bisect',
    'array',
    'weakref',
    'types',
    'copy',
    'pprint',

    'numbers',
    'math',
    'cmath',
    'decimal',
    'fractions',
    'random',

    'itertools',
    'functools',
    'operator',

    'fileinput',
    'stat',
    'filecmp',
    'tempfile',
    'glob',
    'fnmatch',
    'linecache',
    'shutil',
    'macpath',

    'pickle',
    'shelve',
    'marshal',
    'dbm',
    'sqlite3',

    'zlib',
    'gzip',
    'bz2',
    'zipfile',
    'tarfile',

    'csv',
    'netrc',
    'xdrlib',
    'plistlib',

    'hashlib',
    'hmac',

    'os',
    'io',
    'time',
    'argparse',
    'getopt',
    'logging',
    'getpass',
    'curses',
    'platform',
    'errno',
    'ctypes',

    'threading',
    'multiprocessing',
    'subprocess',
    'sched',
    'dummy_threading',

    'socket',
    'ssl',
    'select',
    'asyncore',
    'asynchat',
    'signal',
    'mmap',

    'email',
    'json',
    'mailcap',
    'mailbox',
    'mimetypes',
    'base64',
    'binhex',
    'binascii',
    'quopri',
    'uu',

    'xml',

    'webbrowser',
    'cgi',
    'cgitb',
    'wsgiref',
    'urllib',
    'ftplib',
    'poplib',
    'imaplib',
    'nntplib',
    'smtplib',
    'smtpd',
    'telnetlib',
    'uuid',

    'audioop',
    'aifc',
    'sunau',
    'wave',
    'chunk',
    'colorsys',
    'imghdr',
    'sndhdr',
    'ossaudiodev',

    'gettext',
    'locale',

    'cmd',
    'shlex',

    'pydoc',
    'doctest',
    'unittest',
    '2to3',
    'test',

    'bdb',
    'pdb',
    'cProfile',
    'profile',
    'timeit',
    'trace',

    'distutils',
    'ensurepip',

    'sys',
    'sysconfig',
    '__main__',
    'warnings',
    'contextlib',
    'abc',
    'atexit',
    'traceback',
    '__future__',
    'gc',
    'inspect',
    'site',
    'fpectl',

    'code',
    'codeop',

    'zipimport',
    'pkgutil',
    'modulefinder',
    'runpy',
    'importlib',

    'parser',
    'ast',
    'symtable',
    'symbol',
    'token',
    'keyword',
    'tokenize',
    'tabnanny',
    'pyclbr',
    'py_compile',
    'compileall',
    'dis',
    'pickletools',

    'formatter',

    'msilib',
    'msvcrt',
    'winsound',

    'posix',
    'pwd',
    'spwd',
    'grp',
    'crypt',
    'termios',
    'tty',
    'pty',
    'fcntl',
    'pipes',
    'resource',
    'nis',
    'syslog',

    'optparse',
    'imp'
]


# Taken from Python 3.6 docs
py3 = [
    'reprlib',
    'enum',
    'statistics',
    'pathlib',
    'copyreg',
    'lzma',
    'configparser',
    'secrets',
    'concurrent',
    'queue',
    '_thread',
    '_dummy_thread',
    'selectors',
    'asyncio',
    'html',
    'http',
    'socketserver',
    'xmlrpc',
    'ipaddress',
    'turtle',
    'tkinter',
    'typing',
    'tracemalloc',
    'faulthandler',
    'venv',
    'zipapp',
    'builtins',
    'winreg'
]


# Taken from Python 2.7 docs
py2 = [
    'StringIO',
    'cStringIO',
    'fpformat',
    'sets',
    'mutex',
    'Queue',
    'UserDict',
    'UserList',
    'UserString',
    'new',
    'repr',
    'statvfs',
    'dircache',
    'cPickle',
    'anydbm',
    'whichdb',
    'gdbm',
    'dbhash',
    'bsddb',
    'dumbdbm',
    'robotparser',
    'md5',
    'sha',
    'popen2',
    'mhlib',
    'mimetools',
    'MimeWriter',
    'mimify',
    'multifile',
    'rfc822',
    'HTMLParser',
    'sgmllib',
    'htmllib',
    'htmlentitydefs',
    'urllib2',
    'httplib',
    'urlparse',
    'BaseHTTPServer',
    'SimpleHTTPServer',
    'CGIHTTPServer',
    'cookielib',
    'Cookie',
    'SimpleXMLRPCServer',
    'DocXMLRPCServer',
    'imageop',
    'ttk',
    'Tix',
    'ScrolledText',
    'turtle',
    'hotshot',
    'future',
    'uiltins, user',
    'rexec, Bastion',
    'imputil',
    'dl',
    'commands',
    'ic',
    'MacOS',
    'macostools',
    'findertools',
    'EasyDialogs',
    'Framework',
    'autoGIL',
    'ColorPicker',
    'gensuitemodule',
    'aetools',
    'aepack',
    'aetypes',
    'MiniAEFrame',
    'al',
    'AL',
    'cd',
    'fl',
    'FL',
    'flp',
    'fm',
    'gl',
    'DEVICE',
    'GL',
    'imgfile',
    'jpeg',
    'sunaudiodev',
    'SUNAUDIODEV',

    'repr',
    'copy_reg',
    'ConfigParser',
    'thread',
    'dummy_thread',
    'SocketServer',
    'xmlrpclib',
    'Tkinter',
    '__builtin__',
    '_winreg'
]

all = both + py2 + py3
